std::tr1::is_object(3)

NAME
std::tr1::is_object -

SYNOPSIS

Inherits integral_constant< bool,!(std::tr1::is_function< _Tp >::value||std::tr1::is_reference< _Tp >::value||std::tr1::is_void< _Tp >::value)>.

Detailed Description

  template<typename _Tp> struct std::tr1::is_object< _Tp >

Definition at line 214 of file type_traits.

  Public Types
typedef integral_constant< _Tp, __v > type
typedef _Tp value_type

  Static Public Attributes
static const _Tp value

Author

Generated automatically by Doxygen for libstdc++ from the source code.